<?php
/**
 * sh404SEF - SEO extension for Joomla!
 *
 * @author      Yannick Gaultier
 * @copyright   (c) Yannick Gaultier 2014
 * @package     sh404SEF
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @Plugin author Valetin-Nicusor Barbu aka Jimie
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

require_once JPATH_ROOT . '/components/com_cobalt/library/php/helpers/itemsstore.php';

// ------------------  standard plugin initialize function - don't change ---------------------------
global $sh_LANG;
$sefConfig = & Sh404sefFactory::getConfig();
$shLangName = '';
$shLangIso = '';
$title = array();
$shItemidString = '';
$dosef = shInitializePlugin( $lang, $shLangName, $shLangIso, $option);
if ($dosef == false) return;
// ------------------  standard plugin initialize function - don't change ---------------------------

// ------------------  load language file - adjust as needed ----------------------------------------
//$shLangIso = shLoadPluginLanguage( 'com_XXXXX', $shLangIso, '_SEF_SAMPLE_TEXT_STRING');
// ------------------  load language file - adjust as needed ----------------------------------------

// remove common URL from GET vars list, so that they don't show up as query string in the URL
shRemoveFromGETVarsList('option');
shRemoveFromGETVarsList('lang');
if (!empty($Itemid))
  shRemoveFromGETVarsList('Itemid');
if (!empty($limit))
  shRemoveFromGETVarsList('limit');
if (isset($limitstart))
  shRemoveFromGETVarsList('limitstart'); // limitstart can be zero


// start by inserting the menu element title (just an idea, this is not required at all)
$task = isset($task) ? $task : null;
$Itemid = isset($Itemid) ? $Itemid : null;


// insert component name from menu
$shcobalt = shGetComponentPrefix($option);
$shcobalt = empty($shcobalt) ?  getMenuTitle($option, $task, $Itemid, null, $shLangName) : $shcobalt;

if (!empty($shcobalt)) {
  $title[] = $shcobalt;
}

  switch($view) {
 
        case 'compare':
    $title[]='compare';
    shRemoveFromGETVarsList('view');
    break;

    case 'notifications':
    $title[]='notifications';
    shRemoveFromGETVarsList('view');
    break;
	
    case 'options';
    $title[] = $view;
    shRemoveFromGETVarsList('view');
    break;


     case 'moderators':
     $title[] = JText::_('Moderators');
      shRemoveFromGETVarsList('view');
     break;

     case 'moderator':
     $title[] = JText::_('Moderator');
      shRemoveFromGETVarsList('view');
     break;

      case 'auditlog':
     $title[] = JText::_('Auditlog');
      shRemoveFromGETVarsList('view');
     break;



    case 'record':
    if ( is_numeric($id) ) {
      try {
        $db = ShlDbHelper::getDb();
        $db->setQuery( "SELECT r.title, r.alias, c.catid, r.section_id FROM #__js_res_record AS r LEFT JOIN #__js_res_record_category AS c ON r.id = c.record_id WHERE r.id =".$id);
        $row = $db->loadObject();

        $title[] = $row->title.'-'.$id;
        shRemoveFromGETVarsList('view');
        shRemoveFromGETVarsList('id');
      } catch( Exception $e) {
        $dosef = false;
        ShlSystem_Log::error( 'sh404sef', '%s::%s::%d: %s', __CLASS__, __METHOD__, __LINE__, $e->getMessage());
      }
    } else {
      $dosef = false;
    }

    break;

      case 'form':

      if ( is_numeric($section_id) ) {
      try {
        $db = ShlDbHelper::getDb();
        $db->setQuery( "SELECT title, alias FROM #__js_res_sections WHERE id =".$section_id);
        $row2 = $db->loadObject();
        $title[] = 'submit';
        $title[] = $row2->title;
        shRemoveFromGETVarsList('view');
        shRemoveFromGETVarsList('section_id');
      } catch( Exception $e) {
        $dosef = false;
        ShlSystem_Log::error( 'sh404sef', '%s::%s::%d: %s', __CLASS__, __METHOD__, __LINE__, $e->getMessage());
      }
    } else {
      $dosef = false;
    }

        break;




      case 'records':
      if ( is_numeric($section_id) ) {
      try {
        $db = ShlDbHelper::getDb();
        $db->setQuery( "SELECT title, alias FROM #__js_res_sections WHERE id =".$section_id);
        $row2 = $db->loadObject();
        $title[] = $row2->title;
        shRemoveFromGETVarsList('view');
        shRemoveFromGETVarsList('section_id');
      } catch( Exception $e) {
        $dosef = false;
        ShlSystem_Log::error( 'sh404sef', '%s::%s::%d: %s', __CLASS__, __METHOD__, __LINE__, $e->getMessage());
      }
    } else {
      $dosef = false;
    }

 	break;
	case 'elements':
	$title[] = JText::_('Elements');
	break;
	default:
	$title[] = $view;
	break;
         shRemoveFromGETVarsList('view');


	   }


/**

			switch($layout) {
				case 'user':
					$title[] = JText::_('User');
					break;
				case 'buyer':
					$title[] = JText::_('Buyer');
					break;
				case 'saler':
					$title[] = JText::_('Saler');
					break;
				default:
					$title[] = $layout;
					break;
                          shRemoveFromGETVarsList('layout');

			}

**/

if (isset($task)) {
switch ($task) {
	case 'form.edit':
	case 'records.sarchive':
	case 'records.sfeatured':
	case 'records.commentsenable':
	case 'records.sunpub':
	case 'records.delete':
	$dosef = false;
	break;
	default:
	$title[] = $task;
	break;



    }
    shRemoveFromGETVarsList('task');                           // also remove task, as it is not needed
}




// ------------------  standard plugin finalize function - don't change ---------------------------
if ($dosef){
  $string = shFinalizePlugin( $string, $title, $shAppendString, $shItemidString,
      (isset($limit) ? @$limit : null), (isset($limitstart) ? @$limitstart : null),
      (isset($shLangName) ? @$shLangName : null));
}
// ------------------  standard plugin finalize function - don't change ---------------------------

